html {
  --background-color: rgba(0, 0, 0, 1);
  --text-color: rgba(255, 255, 255, 1);
  --link-color: rgba(204, 204, 0, 1);
  --hover-link-color: rgba(255, 255, 51, 1);
  --footer-text-color: rgba(102, 102, 102, 1);
  --primary-header-color: var(--link-color);
}

body {
  box-sizing: border-box;
  margin: 1rem;
  padding: 0;
  
  background-color: var(--background-color);
  color: var(--text-color);
  
  font-family: Arial, sans-serif;
  font-size: 1rem;
  line-height: 1.5rem;
  
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

canvas {
  max-width: 100vw;
}

header, footer {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

header {
  margin-bottom: 5rem;
  line-height: 4rem;
  
  .primary-header {
    font-size: 4rem;
    color: var(--primary-header-color);
    font-weight: bold;
  }
  
  .sub-header {
    font-size: 1.5rem;
  }
}

footer {
  margin-top: 4rem;
  font-size: 0.85rem;
  color: var(--footer-text-color);
  
  & a {
    color: unset;
  }
}

.card {
  margin-bottom: 3rem;
}

ul {
  margin: 0;
  padding: 0;
  list-style: none;
  display: flex;
  flex-direction: column;
  align-items: center;
  line-height: 1.9rem;
}

main {
  max-width: 540px;
}

a {
  color: var(--link-color);
  font-weight: bold;
  text-decoration: none;
}

a:hover {
  color: var(--hover-link-color);
  text-decoration: underline;
}

.smaller {
  font-size: 0.9rem;
}

@media screen and (max-width: 600px) {

  header {
    line-height: 2.4rem;
    
    .primary-header {
      font-size: 2.4rem;
    }
    
    .sub-header {
      font-size: 1.1rem;
    }
  }
}
